%USAGE:
% SelectSet : selected experiments for the test GOID set
% top : top N experiments which were selected by the function "topExp"
% labelSize : number of genes in the test GOID
% maxExp : total number of experiments in the microarray dataset
% threshold : p-value cut-off limit for the t-tests
% Also requires "alldata" which can be declared globally

function SelectSet = selectExperiments(top,labelSize, maxExp, threshold)
SelectSetCell = cell(maxExp,1);

for i = 1:length(top)
    SelectSetCell{i} = top(i);
end

BestP = ones(maxExp,1);
Y = threshold;

for i = 1:length(top);
    SelectSet = SelectSetCell{i};
    pList = ones(maxExp,1);
    first = 1;
    while (first || min(pList)<threshold)
        first = 0;
        REM = setdiff(1:maxExp, SelectSet);
        pList = ones(maxExp,1);
        tic
        for j = REM;
            [corrMat, pMat] = getCorrMat([SelectSet,j], labelSize,threshold); %
            corrMat = abs(corrMat);
            [h pval] = doTtest(corrMat, labelSize); %t-test
            pList(j) =  pval;  %store pvalue from the t-test2
        end
        toc
        OLDY = Y;
        [Y,I] = min(pList);
        if(Y<OLDY)
            SelectSet=[SelectSet,I];
            BestP(i)=Y;
            [i, BestP(i), SelectSet]
        else
            SelectSetCell{i}=SelectSet;
            break;
        end
    end
end

[Y, I]=min(BestP);
SelectSet=SelectSetCell{I}

